unit QExportConsts;

interface

resourcestring
  {$IFDEF WIN32}
  SMSExcelFilter = 'Fichiers Microsoft Excel (*.xls)|*.xls';
  SMSWordFilter  = 'Fichiers Microsoft Word  (*.doc)|*.doc';
  SRTFFilter     = 'Fichiers RTF (*.rtf)|*.rtf';
  SHTMLFilter    = 'Fichiers HTML (*.html, *.htm)|*.html;*.htm';
  STextFilter    = 'Fichiers Texte (*.txt)|*.txt';
  SXMLFilter     = 'Fichiers XML (*.xml)|*.xml';
  SCSVFilter     = 'Fichiers CSV (*.csv)|*.csv';
  SDIFFFilter    = 'Fichiers DIF (*.dif)|*.dif';
  SSYLKFilter    = 'Fichiers SYLK (*.slk)|*.slk';
  SLaTeXFilter   = 'Fichiers LaTeX (*.tex)|*.tex';
  SSQLFilter     = 'Fichiers SQL (*.sql)|*.sql';
  SDBFFilter     = 'Fichiers DBF (*.dbf)|*.dbf';
  {$ENDIF}
  {$IFDEF LINUX}
  SMSExcelFilter = 'Fichiers Microsoft Excel (*.xls)';
  SMSWordFilter  = 'Fichiers Microsoft Word (*.doc)';
  SRTFFilter     = 'Fichiers RTF (*.rtf)';
  SHTMLFilter    = 'Fichiers HTML (*.html;*.htm)';
  STextFilter    = 'Fichiers Text (*.txt)';
  SXMLFilter     = 'Fichiers XML (*.xml)';
  SCSVFilter     = 'Fichiers CSV (*.csv)';
  SDIFFFilter    = 'Fichiers DIF (*.dif)';
  SSYLKFilter    = 'Fichiers SYLK (*.slk)';
  SLaTeXFilter   = 'Fichiers LaTeX (*.tex)';
  SSQLFilter     = 'Fichiers SQL (*.sql)';
  SDBFFilter     = 'Fichiers DBF (*.dbf)';
  {$ENDIF}

  QEM_ExportSourceNotAssigned = 'La source (%s) n''est pas lie';
  QEM_ExportSourceNotActive = 'La source (%s) est ferme';
  QEM_ExportSourceEmpty = 'La source (%s) est vide';
  QEM_AllowedExportsEmpty = 'La proprit Allowed ne peut tre vide';
  QEM_StopExportCaption = 'Etes vous sr?';
  QEM_StopExportConfirm = 'Voulez vous abandonner l''export?';
  QEM_NewFormatValue = 'Nouvelle valeur de format';
  QEM_EnterValue     = 'Entrer une Valeur:';

  QED_Title = 'Dialogue Export';
  QED_AdvancedTitle = 'Dialogue Export -- Export vers [%s]';
  QED_CloseButtonCaption = '&Fermer';
  QED_ExportTitle = 'Exporte...';
  QED_CancelButtonCaption = '&Abandonner';
  QED_FileName = 'Fichier destination';
  QED_SelectFile = 'Choisir...';
  QED_OpenAfterExport = 'Ouvrir le fichier aprs l''export';
  QED_PrintAfterExport = 'Imprimer le fichier aprs l''export';

  // Export Type
  QED_ExportType_Title = '&Type d''Export ';
  QED_ExportType_Formats = ' &Formats';
  QED_ExportType_ExportTo = ' Exporter vers ';
  QED_ExportType_XLS = 'MS Excel';
  QED_ExportType_DOC = 'MS Word';
  QED_ExportType_RTF = 'RTF';
  QED_ExportType_HTML = 'HTML';
  QED_ExportType_TXT = 'Fichier Texte';
  QED_ExportType_XML = 'XML';
  QED_ExportType_DBF = 'DBF';
  QED_ExportType_CSV = 'Fichier CSV';
  QED_ExportType_DIFF = 'Fichier DIF';
  QED_ExportType_SYLK = 'Fichier SYLK';
  QED_ExportType_LaTeX = 'LaTeX';
  QED_ExportType_SQL = 'SQL';
  QED_ExportType_Clipboard = 'Presse-papier Windows';

  QED_ExportType_Options = '&Options';
  QED_ExportType_Constraints = ' Contraintes ';
  QED_ExportType_Options_GoToFirstRecord = 'Atteindre le premier enregistrement';
  QED_ExportType_Options_CurrentRecordOnly = 'Current ecord only'; // since 2.25
  QED_ExportType_ExportAllRecords = 'Exporter tous les enregistrements';
  QED_ExportType_Options_ExportRecCount = 'Export seulement';
  QED_ExportType_Options_SkipRecCount = 'sauter';
  QED_ExportType_Options_Records = 'enregistrements';

  QED_ExportType_Save = 'Sauver les options d''Export...';
  QED_ExportType_Load = 'Charger les options d''Export...';

  QED_ExportType_Start = '&Lancer l''Export';
  QED_ExportType_Close = '&Fermer';
  
  // Fields
  QED_Fields_Title = 'Champs';
  QED_Fields_Available = 'Champs disponibles:';
  QED_Fields_Exported = 'Champs exportes:';
  QED_Fields_Add = '>';
  QED_Fields_AddAll = '>>';
  QED_Fields_Remove = '<';
  QED_Fields_RemoveAll = '<<';

  // Formats
  QED_Formats_Title = '&Formats';
  QED_Formats_Common = 'Commun';
  QED_Formats_Integer = 'Format Entier';
  QED_Formats_Float = 'Format dcimal';
  QED_Formats_Date = 'Format Date';
  QED_Formats_Time = 'Format heure';
  QED_Formats_DateTime  = 'Format date heure';
  QED_Formats_Currency = 'Format montaire';
  QED_Formats_BooleanTrue = 'Logique vrai';
  QED_Formats_BooleanFalse = 'Logique faux';
  QED_Formats_NullString = 'Chaine Null';
  QED_Formats_User = 'Utilisateur';
  QED_Formats_Add = 'Ajouter';
  QED_Formats_Edit = 'Modifier';
  QED_Formats_Delete = 'Supprimer';
  QED_Formats_Clear = 'Effacer';

  // Header & Footer
  QED_Header_Footer_Title = 'Entte && pied de page';
  QED_Header_Footer_Header = 'Texte entte:';
  QED_Header_Footer_Footer = 'Text pied de page:';

  // Captions
  QED_Captions_AllowCaptions = 'Autoriser les libells';
  QED_Captions_Title = '&libells';
  QED_Captions_FeldName = 'Nom de champs';
  QED_Captions_Caption = 'Libell';
  QED_Captions_Width = 'Largeur';
  QED_Captions_Align = 'Aligner';
  QED_Align_Left = 'Left'; // since 2.25
  QED_Align_Right = 'Right'; // since 2.25
  QED_Align_Center = 'Center'; // since 2.25

  // Word / RTF
  QED_RTF_Title = 'Options Word / RTF';
  QED_RTF_DefaultFont = 'Police par dfaut';
  QED_RTF_HeaderFont = 'Police titre ligne';
  QED_RTF_PageOrientation = ' Orientation Page ';
  QED_RTF_Portrait = 'Portrait';
  QED_RTF_Landscape = 'Paysage';

  // XML
  QED_XML_Title = 'Options XML';
  QED_XML_Standalone = 'Autonome';
  QED_XML_Encoding = 'Encodage';

  // SQL
  QED_SQL_Title = 'Options &SQL';
  QED_SQL_TableOptions = 'Options Table';
  QED_SQL_AddCreateTable = 'Ajouter "Create Table"';
  QED_SQL_TableName = 'Nom de Table';
  QED_SQL_Commit = 'Options Commit';
  QED_SQL_CommitAfter_01 = 'Commit aprs';
  QED_SQL_CommitAfter_02 = 'enregistrement(s)';
  QED_SQL_CommitAfterScript = 'Commit en fin de script';
  QED_SQL_CommitStatement = 'Commande Commit';
  QED_SQL_Other = 'Autres Options';
  QED_SQL_NullAs = 'Exporter null comme';
  QED_SQL_StatementTerm = 'Fin de commande';

  // HTML
  QED_HTML_Title = 'Options &HTML';
  QED_HTML_Preview_Title = '&Prvisualiser';
  QED_HTML_Preview_DefaultText = 'Texte par Dfaut';
  QED_HTML_Preview_NonVisitedLink = 'Lien Non-visit';
  QED_HTML_Preview_VisitedLink = 'Lien Visit';
  QED_HTML_Preview_ActiveLink = 'Lien Actif';
  QED_HTML_Preview_Template = 'Modle';
  QED_HTML_Preview_SaveTemplate = 'Sauver comme modle...';
  QED_HTML_Preview_LoadTemplate = 'Charger modle...';
  QED_HTML_Basic_Title = '&Basique';
  QED_HTML_Basic_PageTitle = 'Titre';
  QED_HTML_Basic_CSS = 'Utiliser Cascade Style Sheets';
  QED_HTML_Basic_CSSInternal = 'Interne';
  QED_HTML_Basic_CSSExternal = 'Externe';
  QED_HTML_Basic_CSSFileName = 'Nom fichier CSS';
  QED_HTML_Basic_MultiFile_Options = 'Export Multi-fichiers';
  QED_HTML_Basic_MultiFile_Use = 'Utiliser export Multi-fichiers';
  QED_HTML_Basic_MultiFile_RecCount_01 = 'Maximum';
  QED_HTML_Basic_MultiFile_RecCount_02 = 'enregistrement(s) dans un fichier';
  QED_HTML_Basic_MultiFile_GenerateIndex = 'Gnrer index';

  QED_HTML_Advanced_Title = '&Avanc';
  QED_HTML_Advanced_Body_Options = 'Options Body';
  QED_HTML_Advanced_Body_FontName = 'Police';
  QED_HTML_Advanced_Body_Background = 'Fond';
  QED_HTML_Advanced_Body_Attributes = 'Attributs Avancs';
  QED_HTML_Advanced_Table_Options = 'Options Table';
  QED_HTML_Advanced_Table_CellPadding = 'Cell padding';
  QED_HTML_Advanced_Table_CellSpasing = 'Cell spacing';
  QED_HTML_Advanced_Table_Border = 'Bordure';
  QED_HTML_Advanced_Table_Attributes = 'Attributs Avancs';

  // XLS
  QED_XLS_Title = 'Options &Excel';
  QED_XLS_Advanced_Title = 'A&vanc';
  QED_XLS_Page_Header = 'Entte';
  QED_XLS_Page_Footer = 'Pied de page';
  QED_XLS_Sheet_Title = 'Titre feuille';

  QED_XLS_DataFormat_Title = 'Format &Donnes';

  QED_XLS_DataFormat_Fields = 'Fields'; // since 2.2
  QED_XLS_DataFormat_Options = 'Options'; // since 2.2
  QED_XLS_DataFormat_Styles = 'Styles'; // since 2.2
  QED_XLS_DataFormat_Styles_Add = 'Add style'; // since 2.2
  QED_XLS_DataFormat_Styles_Del = 'Delete style'; // since 2.2
  QED_XLS_DataFormat_Styles_Up = 'Move up'; // since 2.2
  QED_XLS_DataFormat_Styles_Down = 'Move down'; // since 2.2
  QED_XLS_DataFormat_Styles_Save = 'Save style'; // since 2.2
  QED_XLS_DataFormat_Styles_Load = 'Load style'; // since 2.2
  QED_XLS_DataFormat_Styles_StripStyle_Caption = 'Strip style'; // since 2.2
  QED_XLS_DataFormat_Styles_StripStyle_None = 'None'; // since 2.2
  QED_XLS_DataFormat_Styles_StripStyle_Col = 'Col'; // since 2.2
  QED_XLS_DataFormat_Styles_StripStyle_Row = 'Row'; // since 2.2

  QED_XLS_Reset_Item = 'Rinitialiser item';
  QED_XLS_Reset_SelectedItems = 'Rinitialiser selection';
  QED_XLS_Reset_All = 'Rinitialiser tout';
  QED_XLS_Reset_All_Question_Caption = 'Attention!';
  QED_XLS_Reset_All_Question = 'Tous les formats de champs vont tre rinitialiss ' +
                               'avec leur valeur par dfaut.' +
                               #13#10 + 'Etes vous sr?';

  QED_XLS_SampleCell = '  Exemple cellule';

  QED_XLS_Header = 'ENTETE';
  QED_XLS_Caption = 'LIBELLE';
  QED_XLS_Aggregate = 'AGGREGAT';
  QED_XLS_Footer = 'PIDE DE PAGE';

  QED_XLS_StyleItem = 'ITEM_'; // since 2.2

  QED_XLS_Font_Title = '&Police';
  QED_XLS_Font = 'Police';
  QED_XLS_FontSize = 'Taille';
  QED_XLS_Font_Color = 'Couleur police';
  QED_XLS_Font_Bold = 'Gras';
  QED_XLS_Font_Italic = 'Italique';
  QED_XLS_Font_StrikeOut = 'Barr';
  QED_XLS_Underline_Single = 'Sous-lign simple';
  QED_XLS_Underline_Single_Accounting = 'Sous-lign simple tiret';
  QED_XLS_Underline_Double = 'Sous-lign double';
  QED_XLS_Underline_Double_Accounting = 'Sous-lign double tiret';
  QED_XLS_Alignment_Horizontal_Left = 'gauche';
  QED_XLS_Alignment_Horizontal_Center = 'Centre';
  QED_XLS_Alignment_Horizontal_Right = 'Droite';
  QED_XLS_Alignment_Horizontal_Fill = 'Remplir';
  QED_XLS_Alignment_Vertical_Top = 'Haut';
  QED_XLS_Alignment_Vertical_Center = 'Centre';
  QED_XLS_Alignment_Vertical_Bottom = 'Bas';

  QED_XLS_Borders_Title = '&Encadrement';
  QED_XLS_Border_None = 'None'; // since 2.2
  QED_XLS_Border_Top = 'Encadrement haut';
  QED_XLS_Border_Top_Color = 'Couleur encadrement haut';
  QED_XLS_Border_Bottom = 'Encadrement bas';
  QED_XLS_Border_Bottom_Color = 'Couleur encadrement bas';
  QED_XLS_Border_Left = 'Encadrement gauche';
  QED_XLS_Border_Left_Color = 'Couleur encadrement gauche';
  QED_XLS_Border_Right = 'Encadrement droit';
  QED_XLS_Border_Right_Color = 'Couleur encadrement droit';

  QED_XLS_Fill_Title = 'Remplir';
  QED_XLS_Fill_Background = 'Couleur fond';
  QED_XLS_Fill_Pattern_None = 'Aucun';
  QED_XLS_Fill_Foreground = 'Couleur avant plan';

  QED_XLS_Aggregate_Title = '&Aggregat';
  QED_XLS_Function = 'Aggregat';
  QED_XLS_Function_None = 'Aucun';
  QED_XLS_Function_Sum = 'SUM';
  QED_XLS_Function_Avg = 'AVG';
  QED_XLS_Function_Min = 'MIN';
  QED_XLS_Function_Max = 'MAX';

  // ASCII
  QED_ASCII_Title = 'Options ASCII ';
  QED_TXT_Title = ' options TXT ';
  QED_TXT_AutoCalcColWidth = 'Calculer largeur colonne';
  QED_TXT_Spacing = 'Espacement';
  QED_CSV_Title = ' Options CSV ';
  QED_CSV_QuoteStrings = 'Quote strings';
  QED_CSV_Comma = 'Virgule';

  // Progress
  QEDP_Caption = 'Export...';
  QEDP_Status = 'Etat';
  QEDP_Time = 'Temps';
  QEDP_Speed = 'Vitesse';
  QEDP_Preparing = 'Prparation...';
  QEDP_Skipping = 'Exclue...';
  QEDP_Skipped = 'Exclus';
  QEDP_Exporting = 'Export...';
  QEDP_Exported = 'Export';
  QEDP_Fetching = 'Fetching...';
  QEDP_Fetched = 'Fetched';
  QEDP_Pause = 'Pause';
  QEDP_Cancel = 'Annuler';
  QEDP_OK = 'OK';
  QEDP_Aborted = 'Annul';
  QEDP_Finished = 'Fin de traitement';
  QEDP_RowsPerSec = '%d lignes/sec';
  QEDP_TimeFormat = 'h:mm:ss';

implementation

end.
